Reconciliation Discrepancy
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/reconciliationDiscrepancy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"endDate": "2023-12-31",
"bankAccountId": 123,
"beginDate": "2023-01-01"
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/reconciliationDiscrepancy"
payload = {
"endDate": "2023-12-31",
"bankAccountId": 123,
"beginDate": "2023-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({endDate: '2023-12-31', bankAccountId: 123, beginDate: '2023-01-01'})
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/reconciliationDiscrepancy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"endDate": "2023-12-31",
"bankAccountId": 123,
"beginDate": "2023-01-01"
}
},
"json": {
"data": [
{
"discrepantTransactions": [
{
"entityId": 123,
"date": "2023-11-07T05:31:56Z",
"bankDescription": "<string>",
"amount": 123,
"lastChangedDate": "2023-11-07T05:31:56Z",
"reconciledAmount": 123,
"difference": 123,
"reconciledDate": "2023-11-07T05:31:56Z"
}
],
"transactions": [
{
"entityId": 123,
"date": "2023-11-07T05:31:56Z",
"bankDescription": "<string>",
"amount": 123,
"lastChangedDate": "2023-11-07T05:31:56Z",
"reconciledAmount": 123,
"difference": 123,
"reconciledDate": "2023-11-07T05:31:56Z"
}
],
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"endBalance": 123,
"closingId": 123,
"bankAccountId": 123,
"bankAccountName": "<string>",
"bankAccountNo": "<string>"
}
]
},
"url": "<string>"
}Reports
Reconciliation Discrepancy
Generate a Reconciliation Discrepancy Report, using the specific parameters
POST
/
v5
/
reports
/
reconciliationDiscrepancy
Reconciliation Discrepancy
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
End date for the report. All bank reconciliations ending before this date will be included in the report.
Example:
"2023-12-31"
Id of the bank account to report reconciliation discrepancies for
Begin date for the report.
Example:
"2023-01-01"
Available options:
HTML, PDF, XLS, JSON, XLSX, CSV, LLM Available options:
CLOUD_STORAGE, EMAIL, VIEW Response
200 - application/json
Successful operation
Result of the action performed
Available options:
SUCCESS, FAILURE_VALIDATION_ERROR, FAILURE_NO_DATA, FAILURE_UNKNOWN_ERROR Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Metadata associated with the report generated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Url at which the downloadable report is located
⌘I